# Copyright (c) 2022 Arm Limited or its affiliates. All rights reserved.
#
# SPDX-License-Identifier: MIT

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: k3s-test
  labels:
    app: k3s-test
spec:
  replicas: 1
  selector:
    matchLabels:
      app: k3s-test
  strategy:
    rollingUpdate:
      maxUnavailable: 100%
  template:
    metadata:
      labels:
        app: k3s-test
    spec:
      containers:
        - name: nginx
          image: nginx:1.20
          ports:
            - containerPort: 80
      affinity:
        podAntiAffinity:
          requiredDuringSchedulingIgnoredDuringExecution:
            - labelSelector:
                matchExpressions:
                  - key: app
                    operator: In
                    values:
                      - k3s-test
              topologyKey: kubernetes.io/hostname
